; =============================================================================================
; Project Name:		SkyBase
; Created:		3rd June 2023
; ---------------------------------------------------------------------------------------------
; ASM'd using S1SMPS2ASM version 1.1 by Marc Gordon (AKA Cinossu)
; =============================================================================================

SkyBase_Header:
	smpsHeaderVoice	SkyBase_Voices
	smpsHeaderChan	$06,	$03
	smpsHeaderTempo	$02,	$00

	smpsHeaderDAC	SkyBase_DAC
	smpsHeaderFM	SkyBase_FM1,	smpsPitch00,	$0F
	smpsHeaderFM	SkyBase_FM2,	smpsPitch00,	$0E
	smpsHeaderFM	SkyBase_FM3,	smpsPitch00,	$13
	smpsHeaderFM	SkyBase_FM4,	smpsPitch00,	$16
	smpsHeaderFM	SkyBase_FM5,	smpsPitch00,	$1A
	smpsHeaderPSG	SkyBase_PSG1,	smpsPitch00,	$00,	$00
	smpsHeaderPSG	SkyBase_PSG2,	smpsPitch00,	$00,	$00
	smpsHeaderPSG	SkyBase_PSG3,	smpsPitch00,	$02,	$00

; DAC Data
SkyBase_DAC:
	smpsPan		panCentre,	$00
SkyBase_Loop01:
	dc.b		dKick,	$0C,	dSnare
	smpsLoop	$00,	$13,	SkyBase_Loop01
	dc.b		dKick,	dSnare,	$03,	$03,	$03,	$03
	smpsJump	SkyBase_Loop01

; FM1 Data
SkyBase_FM1:
	smpsPan		panCentre,	$00
	smpsFMvoice	$00
SkyBase_Jump01:
	dc.b		smpsModOff,	nD6,	$03,	nC6,	nD6
	smpsAlterVol	$06
	dc.b		nC6
	smpsAlterVol	$FA
	dc.b		nF6
	smpsAlterVol	$06
	dc.b		nD6,	nF6
	smpsAlterVol	$FA
SkyBase_Loop02:
	dc.b		$03
	smpsAlterVol	$08
	dc.b		$03
	smpsAlterVol	$F8
	smpsLoop	$00,	$02,	SkyBase_Loop02
	dc.b		nD6
	smpsAlterVol	$06
	dc.b		nF6
	smpsAlterVol	$FA
	dc.b		nA5,	nG5,	nF5,	nD6,	nC6,	nD6
	smpsAlterVol	$06
	dc.b		nC6
	smpsAlterVol	$FA
	dc.b		nF6
	smpsAlterVol	$06
	dc.b		nD6
SkyBase_Loop03:
	dc.b		nF6
	smpsAlterVol	$FA
	dc.b		$03
	smpsAlterVol	$06
	smpsLoop	$00,	$02,	SkyBase_Loop03
	dc.b		$03
	smpsAlterVol	$FA
	dc.b		nD6
	smpsAlterVol	$06
	dc.b		nF6
	smpsAlterVol	$FA
	dc.b		nAb5,	nG5,	nF5,	nD6,	nC6,	nD6
	smpsAlterVol	$06
	dc.b		nC6
	smpsAlterVol	$FA
	dc.b		nF6
	smpsAlterVol	$06
	dc.b		nD6,	nF6
	smpsAlterVol	$FA
SkyBase_Loop04:
	dc.b		$03
	smpsAlterVol	$08
	dc.b		$03
	smpsAlterVol	$F8
	smpsLoop	$00,	$02,	SkyBase_Loop04
	dc.b		nD6
	smpsAlterVol	$06
	dc.b		nF6
	smpsAlterVol	$FA
	dc.b		nA5,	nG5,	nF5,	nD6,	nC6,	nD6
	smpsAlterVol	$06
	dc.b		nC6
	smpsAlterVol	$FA
	dc.b		nF6
	smpsAlterVol	$06
	dc.b		nD6
SkyBase_Loop05:
	dc.b		nF6
	smpsAlterVol	$FA
	dc.b		$03
	smpsAlterVol	$06
	smpsLoop	$00,	$02,	SkyBase_Loop05
	dc.b		$03
	smpsAlterVol	$FA
	dc.b		nD6
	smpsAlterVol	$06
	dc.b		nF6
	smpsAlterVol	$FA
	dc.b		nAb5,	nG5,	nF5
SkyBase_Loop06:
	dc.b		nA5,	nA5
	smpsAlterVol	$06
	dc.b		$03
	smpsAlterVol	$FA
	dc.b		nG5
	smpsAlterVol	$06
	dc.b		nA5
	smpsAlterVol	$FA
	dc.b		nF5
	smpsAlterVol	$06
	dc.b		nG5
	smpsAlterVol	$FA
	dc.b		nE5
	smpsAlterVol	$06
	dc.b		nF5
	smpsAlterVol	$FA
	dc.b		nD5
	smpsAlterVol	$06
	dc.b		nE5
	smpsAlterVol	$FA
	dc.b		$03
	smpsAlterVol	$06
	dc.b		nD5
	smpsAlterVol	$FA
	dc.b		nF5
	smpsAlterVol	$06
	dc.b		nE5
	smpsAlterVol	$FA
	dc.b		nG5,	nBb5,	nBb5
	smpsAlterVol	$06
	dc.b		$03
	smpsAlterVol	$FA
	dc.b		nA5
	smpsAlterVol	$06
	dc.b		nBb5
	smpsAlterVol	$FA
	dc.b		nG5
	smpsAlterVol	$06
	dc.b		nA5
	smpsAlterVol	$FA
	dc.b		nF5
	smpsAlterVol	$06
	dc.b		nG5
	smpsAlterVol	$FA
	dc.b		nE5
	smpsAlterVol	$06
	dc.b		nF5
	smpsAlterVol	$FA
	dc.b		$03
	smpsAlterVol	$06
	dc.b		nE5
	smpsAlterVol	$FA
	dc.b		nG5
	smpsAlterVol	$06
	dc.b		nF5
	smpsAlterVol	$FA
	dc.b		nAb5
	smpsLoop	$00,	$02,	SkyBase_Loop06
	dc.b		nCs6,	nA5,	nCs6,	nD6
	smpsAlterVol	$06
	dc.b		nCs6
	smpsAlterVol	$FA
	dc.b		nBb5,	nD6,	nCs6
	smpsAlterVol	$06
	dc.b		nD6
	smpsAlterVol	$FA
	dc.b		nCs6,	nA5,	nE6,	nF6
	smpsAlterVol	$06
	dc.b		nE6
	smpsAlterVol	$FA
	dc.b		nD6,	nF6,	nE6,	nCs6,	nE6,	nF6
	smpsAlterVol	$06
	dc.b		nE6
	smpsAlterVol	$FA
	dc.b		nD6,	nF6,	nCs6,	nE6,	nG6,	nBb6,	nCs7,	nBb7
	dc.b		nBb7,	nBb7,	nBb7
	smpsJump	SkyBase_Jump01

; FM2 Data
SkyBase_FM2:
	smpsPan		panCentre,	$00
	smpsFMvoice	$01
SkyBase_Loop07:
	dc.b		nD3,	$06,	$06,	$03,	$06,	$06,	$03,	nC3
	dc.b		nD3,	nD3,	nF3,	nE3,	nC3,	nBb2,	$06,	$06
	dc.b		$03,	$06,	$06,	$03,	$06,	$03,	nB2,	nC3
	dc.b		nCs3
	smpsLoop	$00,	$02,	SkyBase_Loop07
SkyBase_Loop08:
	dc.b		nA2,	$06,	$06,	$03,	$06,	$06,	$06,	$06
	dc.b		$03,	$03,	$03,	nBb2,	$06,	$06,	$03,	$06
	dc.b		$06,	$06,	$03,	$03,	$03,	$03,	$03
	smpsLoop	$00,	$02,	SkyBase_Loop08
SkyBase_Loop09:
	dc.b		nA2,	nA2,	nA2,	$06,	$03,	$06,	$06,	$06
	dc.b		$06,	$03,	$03,	$03
	smpsLoop	$00,	$02,	SkyBase_Loop09
	smpsJump	SkyBase_Loop07

; FM3 Data
SkyBase_FM3:
	smpsPan		panCentre,	$00
	smpsFMvoice	$02
SkyBase_Jump02:
	smpsAlterNote	$FC
SkyBase_Loop0A:
	dc.b		nA4,	$03,	nG4,	nA4,	nRst,	nD5,	$06,	nRst
	dc.b		$03,	nD5,	nRst,	nD5,	nRst,	nA4,	nRst,	nF4
	dc.b		nD4,	nD4,	nAb4,	nG4,	nAb4,	nRst,	nD5,	$06
	dc.b		nRst,	$03,	nD5,	nRst,	nD5,	nRst,	nAb4,	nRst
	dc.b		nF4,	nD4,	nD4
	smpsLoop	$00,	$02,	SkyBase_Loop0A
	dc.b		smpsModOff
	smpsAlterNote	$00
	dc.b		nA4,	$0C
	smpsAlterNote	$FC
	dc.b		smpsNoAttack,	nBb4,	$01
	smpsAlterNote	$FB
	dc.b		smpsNoAttack,	nB4
	smpsAlterNote	$F6
	dc.b		smpsNoAttack,	nCs5
	smpsAlterNote	$F3
	dc.b		smpsNoAttack,	nD5
	smpsAlterNote	$EF
	dc.b		smpsNoAttack,	nEb5
	smpsAlterNote	$E8
	dc.b		smpsNoAttack,	nF5
	smpsAlterNote	$16
	dc.b		smpsNoAttack,	$01
	smpsAlterNote	$14
	dc.b		smpsNoAttack,	nFs5
	smpsAlterNote	$0F
	dc.b		smpsNoAttack,	nAb5
	smpsAlterNote	$0B
	dc.b		smpsNoAttack,	nA5
	smpsAlterNote	$08
	dc.b		smpsNoAttack,	nBb5
	smpsAlterNote	$00
	dc.b		smpsNoAttack,	nC6,	smpsModOff,	nA5,	$08
SkyBase_Loop0B:
	smpsAlterNote	$F8
	dc.b		smpsNoAttack,	$02
	smpsAlterNote	$08
	dc.b		smpsNoAttack,	$02
	smpsLoop	$00,	$04,	SkyBase_Loop0B
	smpsAlterNote	$00
	dc.b		smpsModOff,	nAb5,	$0C
	smpsAlterNote	$E5
	dc.b		smpsNoAttack,	$01
	smpsAlterNote	$03
	dc.b		smpsNoAttack,	nG5
	smpsAlterNote	$07
	dc.b		smpsNoAttack,	nFs5
	smpsAlterNote	$EF
	dc.b		smpsNoAttack,	$01
	smpsAlterNote	$0A
	dc.b		smpsNoAttack,	nF5
	smpsAlterNote	$0C
	dc.b		smpsNoAttack,	nE5
	smpsAlterNote	$F6
	dc.b		smpsNoAttack,	$01
	smpsAlterNote	$0E
	dc.b		smpsNoAttack,	nEb5
	smpsAlterNote	$0F
	dc.b		smpsNoAttack,	nD5
	smpsAlterNote	$FC
	dc.b		smpsNoAttack,	$01
	smpsAlterNote	$12
	dc.b		smpsNoAttack,	nCs5
	smpsAlterNote	$ED
	dc.b		smpsNoAttack,	$01,	smpsModOff
	smpsAlterNote	$00
	dc.b		nD5,	$08
SkyBase_Loop0C:
	smpsAlterNote	$FA
	dc.b		smpsNoAttack,	$02
	smpsAlterNote	$05
	dc.b		smpsNoAttack,	$02
	smpsLoop	$00,	$04,	SkyBase_Loop0C
	smpsAlterNote	$00
	dc.b		smpsModOff,	nA4,	$0C
	smpsAlterNote	$FC
	dc.b		smpsNoAttack,	nBb4,	$01
	smpsAlterNote	$FB
	dc.b		smpsNoAttack,	nB4
	smpsAlterNote	$F6
	dc.b		smpsNoAttack,	nCs5
	smpsAlterNote	$F3
	dc.b		smpsNoAttack,	nD5
	smpsAlterNote	$EF
	dc.b		smpsNoAttack,	nEb5
	smpsAlterNote	$E8
	dc.b		smpsNoAttack,	nF5
	smpsAlterNote	$16
	dc.b		smpsNoAttack,	$01
	smpsAlterNote	$14
	dc.b		smpsNoAttack,	nFs5
	smpsAlterNote	$0F
	dc.b		smpsNoAttack,	nAb5
	smpsAlterNote	$0B
	dc.b		smpsNoAttack,	nA5
	smpsAlterNote	$08
	dc.b		smpsNoAttack,	nBb5
	smpsAlterNote	$00
	dc.b		smpsNoAttack,	nC6,	smpsModOff,	nA5,	$08
SkyBase_Loop0D:
	smpsAlterNote	$F8
	dc.b		smpsNoAttack,	$02
	smpsAlterNote	$08
	dc.b		smpsNoAttack,	$02
	smpsLoop	$00,	$04,	SkyBase_Loop0D
	smpsAlterNote	$00
	dc.b		smpsModOff,	nAb5,	$0E
	smpsAlterNote	$E5
	dc.b		smpsNoAttack,	nA5,	$01
	smpsAlterNote	$08
	dc.b		smpsNoAttack,	$01
	smpsAlterNote	$11
	dc.b		smpsNoAttack,	nBb5
	smpsAlterNote	$F9
	dc.b		smpsNoAttack,	nB5
	smpsAlterNote	$0D
	dc.b		smpsNoAttack,	$01
	smpsAlterNote	$ED
	dc.b		smpsNoAttack,	nCs6
	smpsAlterNote	$03
	dc.b		smpsNoAttack,	$01
	smpsAlterNote	$F0
	dc.b		smpsNoAttack,	nD6
	smpsAlterNote	$F5
	dc.b		smpsNoAttack,	nEb6
	smpsAlterNote	$0E
	dc.b		smpsNoAttack,	$01,	smpsModOff
	smpsAlterNote	$00
	dc.b		nD6,	$08
SkyBase_Loop0E:
	smpsAlterNote	$FA
	dc.b		smpsNoAttack,	$02
	smpsAlterNote	$05
	dc.b		smpsNoAttack,	$02
	smpsLoop	$00,	$04,	SkyBase_Loop0E
	smpsAlterNote	$FC
	dc.b		nA4,	$03,	nE4,	nA4,	nBb4,	nA4
	smpsAlterVol	$FA
	dc.b		nF4,	nBb4,	nA4
	smpsAlterVol	$06
	dc.b		nBb4
	smpsAlterVol	$FA
	dc.b		nA4,	nE4,	nCs5,	nD5
	smpsAlterVol	$06
	dc.b		nCs5
	smpsAlterVol	$FA
	dc.b		nBb4,	nD5,	nCs5,	nA4,	nCs5,	nD5
	smpsAlterVol	$06
	dc.b		nCs5
	smpsAlterVol	$FA
	dc.b		nA4,	nD5,	nA4,	nCs5,	nE5,	nG5,	nBb5,	nG5
	dc.b		nBb5,	nCs6,	nE6
	smpsAlterVol	$06
	smpsJump	SkyBase_Jump02

; FM4 Data
SkyBase_FM4:
	smpsPan		panCentre,	$00
	smpsFMvoice	$01
SkyBase_Loop0F:
	dc.b		nD3,	$06,	$06,	$03,	$06,	$06,	$03,	nC3
	dc.b		nD3,	nD3,	nF3,	nE3,	nC3,	nBb2,	$06,	$06
	dc.b		$03,	$06,	$06,	$03,	$06,	$03,	nB2,	nC3
	dc.b		nCs3
	smpsLoop	$00,	$02,	SkyBase_Loop0F
SkyBase_Loop10:
	dc.b		nA2,	$06,	$06,	$03,	$06,	$06,	$06,	$06
	dc.b		$03,	$03,	$03,	nBb2,	$06,	$06,	$03,	$06
	dc.b		$06,	$06,	$03,	$03,	$03,	$03,	$03
	smpsLoop	$00,	$02,	SkyBase_Loop10
SkyBase_Loop11:
	dc.b		nA2,	nA2,	nA2,	$06,	$03,	$06,	$06,	$06
	dc.b		$06,	$03,	$03,	$03
	smpsLoop	$00,	$02,	SkyBase_Loop11
	smpsJump	SkyBase_Loop0F

; FM5 Data
SkyBase_FM5:
	smpsPan		panCentre,	$00
	smpsFMvoice	$00
SkyBase_Jump03:
	dc.b		smpsModOff,	nD5,	$03,	nC5,	nD5
	smpsAlterVol	$06
	dc.b		nC5
	smpsAlterVol	$FA
	dc.b		nF5
	smpsAlterVol	$06
	dc.b		nD5,	nF5
	smpsAlterVol	$FA
SkyBase_Loop12:
	dc.b		$03
	smpsAlterVol	$08
	dc.b		$03
	smpsAlterVol	$F8
	smpsLoop	$00,	$02,	SkyBase_Loop12
	dc.b		nD5
	smpsAlterVol	$06
	dc.b		nF5
	smpsAlterVol	$FA
	dc.b		nA4,	nG4,	nF4,	nD5,	nC5,	nD5
	smpsAlterVol	$06
	dc.b		nC5
	smpsAlterVol	$FA
	dc.b		nF5
	smpsAlterVol	$06
	dc.b		nD5
SkyBase_Loop13:
	dc.b		nF5
	smpsAlterVol	$FA
	dc.b		$03
	smpsAlterVol	$06
	smpsLoop	$00,	$02,	SkyBase_Loop13
	dc.b		$03
	smpsAlterVol	$FA
	dc.b		nD5
	smpsAlterVol	$06
	dc.b		nF5
	smpsAlterVol	$FA
	dc.b		nAb4,	nG4,	nF4,	nD5,	nC5,	nD5
	smpsAlterVol	$06
	dc.b		nC5
	smpsAlterVol	$FA
	dc.b		nF5
	smpsAlterVol	$06
	dc.b		nD5,	nF5
	smpsAlterVol	$FA
SkyBase_Loop14:
	dc.b		$03
	smpsAlterVol	$08
	dc.b		$03
	smpsAlterVol	$F8
	smpsLoop	$00,	$02,	SkyBase_Loop14
	dc.b		nD5
	smpsAlterVol	$06
	dc.b		nF5
	smpsAlterVol	$FA
	dc.b		nA4,	nG4,	nF4,	nD5,	nC5,	nD5
	smpsAlterVol	$06
	dc.b		nC5
	smpsAlterVol	$FA
	dc.b		nF5
	smpsAlterVol	$06
	dc.b		nD5
SkyBase_Loop15:
	dc.b		nF5
	smpsAlterVol	$FA
	dc.b		$03
	smpsAlterVol	$06
	smpsLoop	$00,	$02,	SkyBase_Loop15
	dc.b		$03
	smpsAlterVol	$FA
	dc.b		nD5
	smpsAlterVol	$06
	dc.b		nF5
	smpsAlterVol	$FA
	dc.b		nAb4,	nG4,	nF4
SkyBase_Loop16:
	dc.b		nA4,	nA4
	smpsAlterVol	$06
	dc.b		$03
	smpsAlterVol	$FA
	dc.b		nG4
	smpsAlterVol	$06
	dc.b		nA4
	smpsAlterVol	$FA
	dc.b		nF4
	smpsAlterVol	$06
	dc.b		nG4
	smpsAlterVol	$FA
	dc.b		nE4
	smpsAlterVol	$06
	dc.b		nF4
	smpsAlterVol	$FA
	dc.b		nD4
	smpsAlterVol	$06
	dc.b		nE4
	smpsAlterVol	$FA
	dc.b		$03
	smpsAlterVol	$06
	dc.b		nD4
	smpsAlterVol	$FA
	dc.b		nF4
	smpsAlterVol	$06
	dc.b		nE4
	smpsAlterVol	$FA
	dc.b		nG4,	nBb4,	nBb4
	smpsAlterVol	$06
	dc.b		$03
	smpsAlterVol	$FA
	dc.b		nA4
	smpsAlterVol	$06
	dc.b		nBb4
	smpsAlterVol	$FA
	dc.b		nG4
	smpsAlterVol	$06
	dc.b		nA4
	smpsAlterVol	$FA
	dc.b		nF4
	smpsAlterVol	$06
	dc.b		nG4
	smpsAlterVol	$FA
	dc.b		nE4
	smpsAlterVol	$06
	dc.b		nF4
	smpsAlterVol	$FA
	dc.b		$03
	smpsAlterVol	$06
	dc.b		nE4
	smpsAlterVol	$FA
	dc.b		nG4
	smpsAlterVol	$06
	dc.b		nF4
	smpsAlterVol	$FA
	dc.b		nAb4
	smpsLoop	$00,	$02,	SkyBase_Loop16
	dc.b		nCs5,	nA4,	nCs5,	nD5
	smpsAlterVol	$06
	dc.b		nCs5
	smpsAlterVol	$FA
	dc.b		nBb4,	nD5,	nCs5
	smpsAlterVol	$06
	dc.b		nD5
	smpsAlterVol	$FA
	dc.b		nCs5,	nA4,	nE5,	nF5
	smpsAlterVol	$06
	dc.b		nE5
	smpsAlterVol	$FA
	dc.b		nD5,	nF5,	nE5,	nCs5,	nE5,	nF5
	smpsAlterVol	$06
	dc.b		nE5
	smpsAlterVol	$FA
	dc.b		nD5,	nF5,	nCs5,	nE5,	nG5,	nBb5,	nCs6,	nBb6
	dc.b		nCs7,	nE7,	nG7
	smpsJump	SkyBase_Jump03

; PSG3 Data
SkyBase_PSG3:
	smpsPSGform	$E7
SkyBase_Jump04:
	smpsPSGvoice	$02
	dc.b		nA5
SkyBase_Loop17:
	dc.b		$03
	smpsLoop	$00,	$A0,	SkyBase_Loop17
	smpsJump	SkyBase_Jump04

; PSG1 Data
SkyBase_PSG1:

; PSG2 Data
SkyBase_PSG2:
	smpsStop

SkyBase_Voices:
	dc.b		$3A,$04,$06,$02,$01,$5B,$19,$1F,$51,$13,$14,$14,$1F,$00,$00,$00
	dc.b		$00,$25,$85,$15,$07,$2B,$0E,$35,$00;			Voice 00
	dc.b		$20,$36,$35,$30,$31,$DF,$DF,$9F,$9F,$07,$06,$09,$06,$07,$06,$06
	dc.b		$08,$20,$10,$10,$F8,$19,$37,$13,$00;			Voice 01
	dc.b		$3B,$46,$42,$42,$43,$10,$12,$19,$4F,$08,$05,$01,$01,$01,$01,$01
	dc.b		$01,$76,$F1,$F7,$F9,$41,$23,$2B,$00;			Voice 02
	even
